try:
    import pywintypes
    from win32file import *
    from win32security import *
    from ntsecuritycon import *
    
    def _setAccess(path, access=FILE_ALL_ACCESS):
        sd = pywintypes.SECURITY_DESCRIPTOR()
        sidCreator = pywintypes.SID()
        sidCreator.Initialize(SECURITY_CREATOR_SID_AUTHORITY, 1)
        sidCreator.SetSubAuthority(0, SECURITY_CREATOR_OWNER_RID)
        sd.SetSecurityDescriptorOwner(sidCreator, 0)
        acl = pywintypes.ACL()
        acl.AddAccessAllowedAce(access, sidCreator)
        sidWorld = pywintypes.SID()
        sidWorld.Initialize(SECURITY_WORLD_SID_AUTHORITY, 1)
        sidWorld.SetSubAuthority(0, SECURITY_WORLD_RID)
        acl.AddAccessAllowedAce(access, sidWorld)
        sd.SetDacl(1, acl, 0)
        SetFileSecurity(path, DACL_SECURITY_INFORMATION, sd)
        
    def showobj(path):
        _setAccess(path)
        
    def hideobj(path):
        _setAccess(path, FILE_ALL_ACCESS & ~FILE_GENERIC_READ)
                
except ImportError:
    def hideobj(path):
        pass

    def showobj(path):
        pass
